// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
#pragma once

// This file lists well-known values for standard XAML control
// Resource keys to reduce typos and string duplication.

// https://docs.microsoft.com/en-us/uwp/api/Windows.UI.Xaml.Controls.TextBox#control-style-and-template
static const wchar_t *c_textControlForeground = L"TextControlForeground";
static const wchar_t *c_textControlForegroundPointerOver = L"TextControlForegroundPointerOver";
static const wchar_t *c_textControlForegroundFocused = L"TextControlForegroundFocused";
static const wchar_t *c_textControlForegroundDisabled = L"TextControlForegroundDisabled";
static const wchar_t *c_textControlBackground = L"TextControlBackground";
static const wchar_t *c_textControlBackgroundPointerOver = L"TextControlBackgroundPointerOver";
static const wchar_t *c_textControlBackgroundFocused = L"TextControlBackgroundFocused";
static const wchar_t *c_textControlBackgroundDisabled = L"TextControlBackgroundDisabled";
static const wchar_t *c_textControlBorderBrush = L"TextControlBorderBrush";
static const wchar_t *c_textControlBorderBrushPointerOver = L"TextControlBorderBrushPointerOver";
static const wchar_t *c_textControlBorderBrushFocused = L"TextControlBorderBrushFocused";
static const wchar_t *c_textControlBorderBrushDisabled = L"TextControlBorderBrushDisabled";
static const wchar_t *c_textControlPlaceholderForeground = L"TextControlPlaceholderForeground";
static const wchar_t *c_textControlPlaceholderForegroundPointerOver = L"TextControlPlaceholderForegroundPointerOver";
static const wchar_t *c_textControlPlaceholderForegroundFocused = L"TextControlPlaceholderForegroundFocused";
static const wchar_t *c_textControlPlaceholderForegroundDisabled = L"TextControlPlaceholderForegroundDisabled";
static const wchar_t *c_textControlHeaderForeground = L"TextControlHeaderForeground";
static const wchar_t *c_textControlHeaderForegroundDisabled = L"TextControlHeaderForegroundDisabled";
static const wchar_t *c_textControlSelectionHighlightColor = L"TextControlSelectionHighlightColor";
static const wchar_t *c_textControlButtonBackground = L"TextControlButtonBackground";
static const wchar_t *c_textControlButtonBackgroundPointerOver = L"TextControlButtonBackgroundPointerOver";
static const wchar_t *c_textControlButtonBackgroundPressed = L"TextControlButtonBackgroundPressed";
static const wchar_t *c_textControlButtonBorderBrush = L"TextControlButtonBorderBrush";
static const wchar_t *c_textControlButtonBorderBrushPointerOver = L"TextControlButtonBorderBrushPointerOver";
static const wchar_t *c_textControlButtonBorderBrushPressed = L"TextControlButtonBorderBrushPressed";
static const wchar_t *c_textControlButtonForeground = L"TextControlButtonForeground";
static const wchar_t *c_textControlButtonForegroundPointerOver = L"TextControlButtonForegroundPointerOver";
static const wchar_t *c_textControlButtonForegroundPressed = L"TextControlButtonForegroundPressed";

// https://docs.microsoft.com/en-us/uwp/api/Windows.UI.Xaml.Controls.ToggleSwitch#control-style-and-template
static const wchar_t *c_toggleSwitchContainerBackground = L"ToggleSwitchContainerBackground";
static const wchar_t *c_toggleSwitchContainerBackgroundPointerOver = L"ToggleSwitchContainerBackgroundPointerOver";
static const wchar_t *c_toggleSwitchContainerBackgroundPressed = L"ToggleSwitchContainerBackgroundPressed";
static const wchar_t *c_toggleSwitchContainerBackgroundDisabled = L"ToggleSwitchContainerBackgroundDisabled";
static const wchar_t *c_toggleSwitchContentForeground = L"ToggleSwitchContentForeground";
static const wchar_t *c_toggleSwitchContentForegroundDisabled = L"ToggleSwitchContentForegroundDisabled";
static const wchar_t *c_toggleSwitchHeaderForeground = L"ToggleSwitchHeaderForeground";
static const wchar_t *c_toggleSwitchHeaderForegroundDisabled = L"ToggleSwitchHeaderForegroundDisabled";
static const wchar_t *c_toggleSwitchFillOff = L"ToggleSwitchFillOff";
static const wchar_t *c_toggleSwitchFillOffPointerOver = L"ToggleSwitchFillOffPointerOver";
static const wchar_t *c_toggleSwitchFillOffPressed = L"ToggleSwitchFillOffPressed";
static const wchar_t *c_toggleSwitchFillOffDisabled = L"ToggleSwitchFillOffDisabled";
static const wchar_t *c_toggleSwitchFillOn = L"ToggleSwitchFillOn";
static const wchar_t *c_toggleSwitchFillOnPointerOver = L"ToggleSwitchFillOnPointerOver";
static const wchar_t *c_toggleSwitchFillOnPressed = L"ToggleSwitchFillOnPressed";
static const wchar_t *c_toggleSwitchFillOnDisabled = L"ToggleSwitchFillOnDisabled";
static const wchar_t *c_toggleSwitchStrokeOff = L"ToggleSwitchStrokeOff";
static const wchar_t *c_toggleSwitchStrokeOffPointerOver = L"ToggleSwitchStrokeOffPointerOver";
static const wchar_t *c_toggleSwitchStrokeOffPressed = L"ToggleSwitchStrokeOffPressed";
static const wchar_t *c_toggleSwitchStrokeOffDisabled = L"ToggleSwitchStrokeOffDisabled";
static const wchar_t *c_toggleSwitchStrokeOn = L"ToggleSwitchStrokeOn";
static const wchar_t *c_toggleSwitchStrokeOnPointerOver = L"ToggleSwitchStrokeOnPointerOver";
static const wchar_t *c_toggleSwitchStrokeOnPressed = L"ToggleSwitchStrokeOnPressed";
static const wchar_t *c_toggleSwitchStrokeOnDisabled = L"ToggleSwitchStrokeOnDisabled";
static const wchar_t *c_toggleSwitchKnobFillOff = L"ToggleSwitchKnobFillOff";
static const wchar_t *c_toggleSwitchKnobFillOffPointerOver = L"ToggleSwitchKnobFillOffPointerOver";
static const wchar_t *c_toggleSwitchKnobFillOffPressed = L"ToggleSwitchKnobFillOffPressed";
static const wchar_t *c_toggleSwitchKnobFillOffDisabled = L"ToggleSwitchKnobFillOffDisabled";
static const wchar_t *c_toggleSwitchKnobFillOn = L"ToggleSwitchKnobFillOn";
static const wchar_t *c_toggleSwitchKnobFillOnPointerOver = L"ToggleSwitchKnobFillOnPointerOver";
static const wchar_t *c_toggleSwitchKnobFillOnPressed = L"ToggleSwitchKnobFillOnPressed";
static const wchar_t *c_toggleSwitchKnobFillOnDisabled = L"ToggleSwitchKnobFillOnDisabled";

// https://docs.microsoft.com/en-us/uwp/api/Windows.UI.Xaml.Controls.CheckBox#control-style-and-template
static const wchar_t *c_checkBoxForegroundUnchecked = L"CheckBoxForegroundUnchecked";
static const wchar_t *c_checkBoxForegroundUncheckedPointerOver = L"CheckBoxForegroundUncheckedPointerOver";
static const wchar_t *c_checkBoxForegroundUncheckedPressed = L"CheckBoxForegroundUncheckedPressed";
static const wchar_t *c_checkBoxForegroundUncheckedDisabled = L"CheckBoxForegroundUncheckedDisabled";
static const wchar_t *c_checkBoxForegroundChecked = L"CheckBoxForegroundChecked";
static const wchar_t *c_checkBoxForegroundCheckedPointerOver = L"CheckBoxForegroundCheckedPointerOver";
static const wchar_t *c_checkBoxForegroundCheckedPressed = L"CheckBoxForegroundCheckedPressed";
static const wchar_t *c_checkBoxForegroundCheckedDisabled = L"CheckBoxForegroundCheckedDisabled";
static const wchar_t *c_checkBoxForegroundIndeterminate = L"CheckBoxForegroundIndeterminate";
static const wchar_t *c_checkBoxForegroundIndeterminatePointerOver = L"CheckBoxForegroundIndeterminatePointerOver";
static const wchar_t *c_checkBoxForegroundIndeterminatePressed = L"CheckBoxForegroundIndeterminatePressed";
static const wchar_t *c_checkBoxForegroundIndeterminateDisabled = L"CheckBoxForegroundIndeterminateDisabled";
static const wchar_t *c_checkBoxBackgroundUnchecked = L"CheckBoxBackgroundUnchecked";
static const wchar_t *c_checkBoxBackgroundUncheckedPointerOver = L"CheckBoxBackgroundUncheckedPointerOver";
static const wchar_t *c_checkBoxBackgroundUncheckedPressed = L"CheckBoxBackgroundUncheckedPressed";
static const wchar_t *c_checkBoxBackgroundUncheckedDisabled = L"CheckBoxBackgroundUncheckedDisabled";
static const wchar_t *c_checkBoxBackgroundChecked = L"CheckBoxBackgroundChecked";
static const wchar_t *c_checkBoxBackgroundCheckedPointerOver = L"CheckBoxBackgroundCheckedPointerOver";
static const wchar_t *c_checkBoxBackgroundCheckedPressed = L"CheckBoxBackgroundCheckedPressed";
static const wchar_t *c_checkBoxBackgroundCheckedDisabled = L"CheckBoxBackgroundCheckedDisabled";
static const wchar_t *c_checkBoxBackgroundIndeterminate = L"CheckBoxBackgroundIndeterminate";
static const wchar_t *c_checkBoxBackgroundIndeterminatePointerOver = L"CheckBoxBackgroundIndeterminatePointerOver";
static const wchar_t *c_checkBoxBackgroundIndeterminatePressed = L"CheckBoxBackgroundIndeterminatePressed";
static const wchar_t *c_checkBoxBackgroundIndeterminateDisabled = L"CheckBoxBackgroundIndeterminateDisabled";
static const wchar_t *c_checkBoxBorderBrushUnchecked = L"CheckBoxBorderBrushUnchecked";
static const wchar_t *c_checkBoxBorderBrushUncheckedPointerOver = L"CheckBoxBorderBrushUncheckedPointerOver";
static const wchar_t *c_checkBoxBorderBrushUncheckedPressed = L"CheckBoxBorderBrushUncheckedPressed";
static const wchar_t *c_checkBoxBorderBrushUncheckedDisabled = L"CheckBoxBorderBrushUncheckedDisabled";
static const wchar_t *c_checkBoxBorderBrushChecked = L"CheckBoxBorderBrushChecked";
static const wchar_t *c_checkBoxBorderBrushCheckedPointerOver = L"CheckBoxBorderBrushCheckedPointerOver";
static const wchar_t *c_checkBoxBorderBrushCheckedPressed = L"CheckBoxBorderBrushCheckedPressed";
static const wchar_t *c_checkBoxBorderBrushCheckedDisabled = L"CheckBoxBorderBrushCheckedDisabled";
static const wchar_t *c_checkBoxBorderBrushIndeterminate = L"CheckBoxBorderBrushIndeterminate";
static const wchar_t *c_checkBoxBorderBrushIndeterminatePointerOver = L"CheckBoxBorderBrushIndeterminatePointerOver";
static const wchar_t *c_checkBoxBorderBrushIndeterminatePressed = L"CheckBoxBorderBrushIndeterminatePressed";
static const wchar_t *c_checkBoxBorderBrushIndeterminateDisabled = L"CheckBoxBorderBrushIndeterminateDisabled";
static const wchar_t *c_checkBoxCheckBackgroundStrokeUnchecked = L"CheckBoxCheckBackgroundStrokeUnchecked";
static const wchar_t *c_checkBoxCheckBackgroundStrokeUncheckedPointerOver =
    L"CheckBoxCheckBackgroundStrokeUncheckedPointerOver";
static const wchar_t *c_checkBoxCheckBackgroundStrokeUncheckedPressed =
    L"CheckBoxCheckBackgroundStrokeUncheckedPressed";
static const wchar_t *c_checkBoxCheckBackgroundStrokeUncheckedDisabled =
    L"CheckBoxCheckBackgroundStrokeUncheckedDisabled";
static const wchar_t *c_checkBoxCheckBackgroundStrokeChecked = L"CheckBoxCheckBackgroundStrokeChecked";
static const wchar_t *c_checkBoxCheckBackgroundStrokeCheckedPointerOver =
    L"CheckBoxCheckBackgroundStrokeCheckedPointerOver";
static const wchar_t *c_checkBoxCheckBackgroundStrokeCheckedPressed = L"CheckBoxCheckBackgroundStrokeCheckedPressed";
static const wchar_t *c_checkBoxCheckBackgroundStrokeCheckedDisabled = L"CheckBoxCheckBackgroundStrokeCheckedDisabled";
static const wchar_t *c_checkBoxCheckBackgroundStrokeIndeterminate = L"CheckBoxCheckBackgroundStrokeIndeterminate";
static const wchar_t *c_checkBoxCheckBackgroundStrokeIndeterminatePointerOver =
    L"CheckBoxCheckBackgroundStrokeIndeterminatePointerOver";
static const wchar_t *c_checkBoxCheckBackgroundStrokeIndeterminatePressed =
    L"CheckBoxCheckBackgroundStrokeIndeterminatePressed";
static const wchar_t *c_checkBoxCheckBackgroundStrokeIndeterminateDisabled =
    L"CheckBoxCheckBackgroundStrokeIndeterminateDisabled";
static const wchar_t *c_checkBoxCheckBackgroundFillUnchecked = L"CheckBoxCheckBackgroundFillUnchecked";
static const wchar_t *c_checkBoxCheckBackgroundFillUncheckedPointerOver =
    L"CheckBoxCheckBackgroundFillUncheckedPointerOver";
static const wchar_t *c_checkBoxCheckBackgroundFillUncheckedPressed = L"CheckBoxCheckBackgroundFillUncheckedPressed";
static const wchar_t *c_checkBoxCheckBackgroundFillUncheckedDisabled = L"CheckBoxCheckBackgroundFillUncheckedDisabled";
static const wchar_t *c_checkBoxCheckBackgroundFillChecked = L"CheckBoxCheckBackgroundFillChecked";
static const wchar_t *c_checkBoxCheckBackgroundFillCheckedPointerOver =
    L"CheckBoxCheckBackgroundFillCheckedPointerOver";
static const wchar_t *c_checkBoxCheckBackgroundFillCheckedPressed = L"CheckBoxCheckBackgroundFillCheckedPressed";
static const wchar_t *c_checkBoxCheckBackgroundFillCheckedDisabled = L"CheckBoxCheckBackgroundFillCheckedDisabled";
static const wchar_t *c_checkBoxCheckBackgroundFillIndeterminate = L"CheckBoxCheckBackgroundFillIndeterminate";
static const wchar_t *c_checkBoxCheckBackgroundFillIndeterminatePointerOver =
    L"CheckBoxCheckBackgroundFillIndeterminatePointerOver";
static const wchar_t *c_checkBoxCheckBackgroundFillIndeterminatePressed =
    L"CheckBoxCheckBackgroundFillIndeterminatePressed";
static const wchar_t *c_checkBoxCheckBackgroundFillIndeterminateDisabled =
    L"CheckBoxCheckBackgroundFillIndeterminateDisabled";
static const wchar_t *c_checkBoxCheckGlyphForegroundUnchecked = L"CheckBoxCheckGlyphForegroundUnchecked";
static const wchar_t *c_checkBoxCheckGlyphForegroundUncheckedPointerOver =
    L"CheckBoxCheckGlyphForegroundUncheckedPointerOver";
static const wchar_t *c_checkBoxCheckGlyphForegroundUncheckedPressed = L"CheckBoxCheckGlyphForegroundUncheckedPressed";
static const wchar_t *c_checkBoxCheckGlyphForegroundUncheckedDisabled =
    L"CheckBoxCheckGlyphForegroundUncheckedDisabled";
static const wchar_t *c_checkBoxCheckGlyphForegroundChecked = L"CheckBoxCheckGlyphForegroundChecked";
static const wchar_t *c_checkBoxCheckGlyphForegroundCheckedPointerOver =
    L"CheckBoxCheckGlyphForegroundCheckedPointerOver";
static const wchar_t *c_checkBoxCheckGlyphForegroundCheckedPressed = L"CheckBoxCheckGlyphForegroundCheckedPressed";
static const wchar_t *c_checkBoxCheckGlyphForegroundCheckedDisabled = L"CheckBoxCheckGlyphForegroundCheckedDisabled";
static const wchar_t *c_checkBoxCheckGlyphForegroundIndeterminate = L"CheckBoxCheckGlyphForegroundIndeterminate";
static const wchar_t *c_checkBoxCheckGlyphForegroundIndeterminatePointerOver =
    L"CheckBoxCheckGlyphForegroundIndeterminatePointerOver";
static const wchar_t *c_checkBoxCheckGlyphForegroundIndeterminatePressed =
    L"CheckBoxCheckGlyphForegroundIndeterminatePressed";
static const wchar_t *c_checkBoxCheckGlyphForegroundIndeterminateDisabled =
    L"CheckBoxCheckGlyphForegroundIndeterminateDisabled";
